%define name gwsmhg
%define version 0.10.1
%define release %mkrel 2

Summary:	A PyGTK GUI for work space management with hg/mq
Summary(de):	Eine PyGTK Benutzeroberfläche für die Arbeitsplatzverwaltung mit hg/mq 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Development/Other
URL:		http://gwsmhg.sourceforge.net/
Source: 	http://gwsmhg.sourceforge.net/%{name}-%{version}.tar.xz
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python 
Requires:       pygtk2.0 
Requires:       python-cairo
Requires:       python-gobject
Requires:       pygtksourceview
Requires:       mercurial 
Requires:       vte


%description
Mercurial (hg) is a distributed source control tool and Mercurial
Queues (mq) is a patch management tool extension to hg. gwsmhg
is a PyGTK GUI wrapper for hg and mq allowing them to be used
in an integrated manner to manage a work space.
%description -l de
Mercurial (hg) ist ein weit verbreitetes Quellen-Kontrollwerkzeug und 
Mercurial Queues (mq) ist ein Patch Verwaltungswerkzeug für hg. gwsmhg 
ist ein PyGTK GUI-Wrapper für hg und mq, so dass er in einer integrierten 
Art und Weise eingesetzt werden kann, um einen Arbeitsplatz zu verwalten.
 
%prep
%setup -n %{name}-%{version}

%build
%__python setup.py build

%install
rm -rf %{buildroot}
%__python setup.py install -O1 --skip-build --root=%{buildroot} 


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Gwsmhg
GenericName=GUI for Work Space Management
GenericName[de]=Benutzeroberfläche für die Arbeitsplatzverwaltung
Exec=gwsmhg
Terminal=false
Icon=gwsmhg.png
Type=Application
Categories=GNOME;Development;X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments;
EOF


# install and resize icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %{name}.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png 
install -m 0644 %{name}.png %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
install -m 0644 %{name}.png %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 




%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/
%{py_sitedir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.10.1-2pclos2010
- Update

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.10.1-1pclos2010
- 0.10.1
- add german description
- add vte as a requirement due to the new terminal functionality

* Sun May 23 2010 slick50 <lxgator0@gmail.com> 0.9-1pclos2010
- 0.9

* Thu Mar 04 2010 slick50 <lxgator0@gmail.com> 0.8.4-1pclos2010
- 0.8.4

* Sun May 24 2009 slick50 <lxgator0@gmail.com> 0.1-1pclos2009
- initial pkg
